# Packmangroup: Libraries
# Packmanpackagename: synfig
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Core package for synfig studio.</p><p>The missing libxml++ you can find in the supplementary part of the SUSE ftp server: <a href="ftp://ftp.mathematik.uni-bielefeld.de/pub/suse/ftp.suse.com/suse/i386/supplementary/KDE/update_for_10.0/applications/">SUSE 10.0</a></p>
# Packmanpackagedesc_de: <p>Basispaket f&uuml;r das Synfig Studio</p><p>Die ben&ouml;tigte libxml++ finden Sie im Supplementary Bereich des SUSE FTP-Servers: <a href="ftp://ftp.mathematik.uni-bielefeld.de/pub/suse/ftp.suse.com/suse/i386/supplementary/KDE/update_for_10.0/applications/">SUSE 10.0</a></p>
# Packmanxxpackagedesc: <p>Core package for synfig studio.</p><p>The missing libxml++ you can find in the supplementary part of the SUSE ftp server: <a href="ftp://ftp.mathematik.uni-bielefeld.de/pub/suse/ftp.suse.com/suse/i386/supplementary/KDE/update_for_9.3/applications/">SUSE 9.3</a> or <a href="ftp://ftp.mathematik.uni-bielefeld.de/pub/suse/ftp.suse.com/suse/i386/supplementary/KDE/update_for_10.0/applications/">SUSE 10.0</a></p>
# Packmanxxpackagedesc_de: <p>Basispaket f&uuml;r das Synfig Studio</p><p>Die ben&ouml;tigte libxml++ finden Sie im Supplementary Bereich des SUSE FTP-Servers: <a href="ftp://ftp.mathematik.uni-bielefeld.de/pub/suse/ftp.suse.com/suse/i386/supplementary/KDE/update_for_9.3/applications/">SUSE 9.3</a> oder <a href="ftp://ftp.mathematik.uni-bielefeld.de/pub/suse/ftp.suse.com/suse/i386/supplementary/KDE/update_for_10.0/applications/">SUSE 10.0</a></p>

# norootforbuild

%define major     0
%define lib       libsynfig
%define libname   %{lib}%{major}

Name:           synfig
Summary:        Core package for synfig studio
Summary(de):    Basispaket für das Synfig Studio
Version:        0.63.05
Release:        1.46
Group:          Productivity/Graphics/Other
License:        GPL v2 or later
URL:            http://synfig.org
Source0:        %{name}-%{version}.tar.bz2
Patch0:         synfig-fix-rpmlint.patch
BuildRequires:  libtool
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  gettext-devel
BuildRequires:  ETL-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  glib2-devel
BuildRequires:  glibc-devel
BuildRequires:  libffmpeg-devel >= 0.5
BuildRequires:  libjpeg-devel
%if %suse_version > 1120
BuildRequires:  libpng12-compat-devel
%else
BuildRequires:  libpng-devel
%endif
BuildRequires:  libsigc++2-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libxml++-devel >= 2.6
BuildRequires:  libxml2-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  xorg-x11-devel
BuildRequires:  zlib-devel
BuildRequires:  gcc-c++
BuildRequires:  shared-mime-info
BuildRequires:  libtiff
BuildRequires:  libtiff-devel
BuildRequires:  libmng
BuildRequires:  libmng-devel
BuildRequires:  ImageMagick
BuildRequires:  ImageMagick-devel
#BuildRequires:  GraphicsMagick-devel
#BuildRequires:  libGraphicsMagick++-devel
#BuildRequires:  libMagick++-devel
BuildRequires:  glibmm2-devel
Requires:       glibmm2
Requires:       %{libname} = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Core package for synfig studio
Utilities

%description -l de
Basispaket für das Synfig Studio
Hilfsprogramme

%package -n %{libname}
Group:          System/Libraries
Summary:        Shared library part of synfig
Summary(de):    Synfig Bibliotheken
Provides:       %{lib} = %{version}-%{release}

%description -n %{libname}
Core package for synfig studio
Shared libraries

%description -n %{libname} -l de
Basispaket für das Synfig Studio
Bibliotheken

%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Header files and static library for the synfig library
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      synfig-devel < %{version}
Provides:       synfig-devel = %{version}-%{release}
Obsoletes:      %{libname}-devel < %{version}
Provides:       %{libname}-devel = %{version}-%{release}
Requires:       ETL-devel
Requires:       fontconfig-devel
Requires:       freetype2-devel
Requires:       glib2-devel
Requires:       glibc-devel
Requires:       libffmpeg-devel >= 0.5
Requires:       libjpeg-devel
%if %suse_version > 1120
Requires:       libpng12-compat-devel
%else
Requires:       libpng-devel
%endif
Requires:       libsigc++2-devel
Requires:       libstdc++-devel
Requires:       libxml++-devel >= 2.6
Requires:       libxml2-devel
Requires:       OpenEXR-devel
Requires:       xorg-x11-devel
Requires:       zlib-devel
Requires:       gcc-c++
Requires:       shared-mime-info
Requires:       libtiff
Requires:       libtiff-devel
Requires:       libmng
Requires:       libmng-devel
Requires:       ImageMagick
Requires:       ImageMagick-devel
Requires:       glibmm2-devel
Requires:       glibmm2
#Requires:       GraphicsMagick-devel
#Requires:       GraphicsMagick
#Requires:       libGraphicsMagick++-devel
#Requires:       libMagick++-devel

%description -n %{lib}-devel
Core package for synfig studio
Install %{lib}-devel if you want to compile apps with %{name} support.

%description -n %{lib}-devel -l de
Basispaket für das Synfig Studio

Installieren Sie %{lib}-devel wenn Sie Anwendungen mit %{name} Support
compilieren wollen.



%prep
%setup -n synfig-%{version}
#%patch0 -p1

%build
if [ ! -f configure ]; then
   autoreconf --install --force
fi
export CPPFLAGS="-I/usr/include/OpenEXR -I/usr/include/ImageMagick"
export CXXFLAGS="-I/usr/include/OpenEXR -I/usr/include/ImageMagick"
#disabling magickcpp, doesn't compile
%configure --with-magickpp
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}
rm -f examples/walk/Makefile*
chmod 644 examples/walk/frame_*.jpg

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING NEWS README TODO doc examples
%{_bindir}/synfig*
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/synfig.mo
%lang(el_GR) %{_datadir}/locale/el_GR/LC_MESSAGES/synfig.mo
%lang(en_GB) %{_datadir}/locale/en_GB/LC_MESSAGES/synfig.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/synfig.mo
%if 0%{suse_version} >= 1210
%dir %{_datadir}/locale/fa_IR
%dir %{_datadir}/locale/fa_IR/LC_MESSAGES
%endif
%lang(fa_IR) %{_datadir}/locale/fa_IR/LC_MESSAGES/synfig.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/synfig.mo
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/synfig.mo
%dir %{_datadir}/locale/no_NO
%dir %{_datadir}/locale/no_NO/LC_MESSAGES
%lang(lt) %{_datadir}/locale/lt/LC_MESSAGES/synfig.mo
%lang(nl) %{_datadir}/locale/nl/LC_MESSAGES/synfig.mo
%lang(no_NO) %{_datadir}/locale/no_NO/LC_MESSAGES/synfig.mo
%lang(pl_PL) %{_datadir}/locale/pl_PL/LC_MESSAGES/synfig.mo
%lang(pt_BR) %{_datadir}/locale/pt_BR/LC_MESSAGES/synfig.mo
%lang(ro) %{_datadir}/locale/ro/LC_MESSAGES/synfig.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/synfig.mo
%dir %{_datadir}/locale/sk_SK
%dir %{_datadir}/locale/sk_SK/LC_MESSAGES
%lang(sk_SK) %{_datadir}/locale/sk_SK/LC_MESSAGES/synfig.mo
%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/synfig.mo

%files -n %{libname}
%defattr(-,root,root)
%config /etc/synfig_modules.cfg
%dir %{_libdir}/synfig
%dir %{_libdir}/synfig/modules
%{_libdir}/libsynfig.so.%{major}*
#%{_libdir}/synfig/modules/*.so.*
%{_libdir}/synfig/modules/*.so

%files -n %{lib}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a
#%{_libdir}/synfig/modules/*.so
%{_libdir}/synfig/modules/*.*a
%{_libdir}/pkgconfig/synfig.pc

%changelog
* Sun Apr 15 2012 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.63.05-0
- update to 0.63.05
* Mon Oct 24 2011 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.63.02-0.pm.1
- update to 0.63.02
* Sat Jun 11 2011 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.63.00-0.pm.1
- update to 0.63.00 (git logout, because there's no source tarball)
* Mon Nov 15 2010 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.62.02-1.pm.1
- update to 0.62.02
* Wed Jul 14 2010 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.62.01-1.pm.1
- update to 0.62.01
* Wed Nov 04 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.62.00-0.pm.1
- update to 0.62.00
* Wed Sep 23 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.61.09-1.pm.4
- added patch to compile it with gcc 4.4 (openSUSE 11.2)
* Sat Sep 05 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.61.09-1.pm.1
- cleanups where rpmlint wasn't so happy
* Sat Jan 03 2009 - Manfred.Tremmel@iiv.de
- remove NX in 11.1, it's no longer available
* Sat Oct 25 2008 - Manfred.Tremmel@iiv.de
- update to 0.61.09
* Tue Sep 16 2008 - Manfred.Tremmel@iiv.de
- recompile against new ffmpeg version
* Tue Mar 04 2008 - Manfred.Tremmel@iiv.de
- update to 0.61.08
* Sat Feb 23 2008 - Manfred.Tremmel@iiv.de
- update to svn (Revision 1808), because off security reasons
* Thu Dec 20 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added patch to make it work with latest ffmpeg version
* Fri Oct 12 2007 - Manfred.Tremmel@iiv.de
- update to 0.61.07
* Sat Jun 23 2007 - Manfred.Tremmel@iiv.de
- update to 0.61.06
* Sun Dec 24 2006 - Manfred.Tremmel@iiv.de
- update to svn (Revision 229), seems, a lot of bugs where fixed inbetween
* Thu Dec 21 2006 - Manfred.Tremmel@iiv.de
- recompile with new libffmpeg version
* Wed Mar 01 2006 - Manfred.Tremmel@iiv.de
- update to 0.61.05
* Mon Jan 23 2006 - Manfred.Tremmel@iiv.de
- recompile with new libffmpeg version
* Sun Jan 15 2006 - Manfred.Tremmel@iiv.de
- update to 0.61.04
* Thu Dec 15 2005 - Manfred.Tremmel@iiv.de
- first packman build, based on the spec-file
  from Robert B. Quattlebaum Jr. <darco@bigfoot.com>
